# Uses of Interface
org.eclipse.gef.ui.palette.customize.EntryPage

Packages that use EntryPage
Package
Description
org.eclipse.gef.ui.palette
org.eclipse.gef.ui.palette.customize

## Uses of EntryPage in org.eclipse.gef.ui.palette

Methods in org.eclipse.gef.ui.palette that return EntryPage
Modifier and Type
Method
Description
`EntryPage`
PaletteCustomizer.`getPropertiesPage(PaletteEntry entry)`
Returns an EntryPage that will display the custom properties of the given entry.

## Uses of EntryPage in org.eclipse.gef.ui.palette.customize

Classes in org.eclipse.gef.ui.palette.customize that implement EntryPage
Modifier and Type
Class
Description
`class`
`DefaultEntryPage`
This is a default implementation of the `EntryPage` interface.
`class`
`DrawerEntryPage`
The default entry page for drawers.
Methods in org.eclipse.gef.ui.palette.customize that return EntryPage
Modifier and Type
Method
Description
`protected EntryPage`
PaletteCustomizerDialog.`getEntryPage(PaletteEntry entry)`
Returns the `EntryPage` for the given `PaletteEntry`.
Methods in org.eclipse.gef.ui.palette.customize with parameters of type EntryPage
Modifier and Type
Method
Description
`protected void`
PaletteCustomizerDialog.`setActiveEntryPage(EntryPage page)`
Sets the given EntryPage as the top page in the PageBook that shows the properties of the item selected in the Outline.